Bug 209836 - security/letsencrypt.sh regression in 2016Q2
Summary: security/letsencrypt.sh regression in 2016Q2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-29 14:17 UTC by Fabian Keil
Modified: 2016-05-31 16:24 UTC (History)
3 users (show)

See Also:
sascha: maintainer-feedback+
delphij: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2016-05-29 14:17:17 UTC
security/letsencrypt.sh is currently broken in the 2016Q2 branch:

    $ /usr/local/bin/letsencrypt.sh -c
    Processing www.electrobsd.org
     + Checking domain name(s) of existing cert... unchanged.
     + Checking expire date of existing cert...
     + Valid till Jun 24 16:13:00 2016 GMT (Less than 30 days). Renewing!
     + Signing domains...
     + Generating signing request...
     + Requesting challenge for www.electrobsd.org...
    $ echo $?
    1

The relevant upstream bug report is:
https://github.com/lukas2511/letsencrypt.sh/pull/202

The problem was fixed in r415739 by upgrading the port to 0.2.0.

The commit should be applied to the 2016Q2 branch as well.
Comment 1 Sascha Holzleiter 2016-05-29 15:11:53 UTC
I have no objections to that. But as i as maintainer have no control over what goes into quarterly this has to be picked up by the committers who maintain the quarterly branch.

I try to keep the latest branch at the last released version which should always be good to use. Maintaining another branch is out of my scope.
Comment 2 Kurt Jaeger freebsd_committer 2016-05-30 03:23:29 UTC
I asked ports-secteam for approval to MFH.
Comment 3 Kurt Jaeger freebsd_committer 2016-05-30 03:24:21 UTC
See

https://wiki.freebsd.org/PortsSubversionPrimer#Quarterly_Branch

for a rough draft on how MFH works for the ports quarterly branch.
Comment 4 commit-hook freebsd_committer 2016-05-31 16:23:50 UTC
A commit references this bug:

Author: pi
Date: Tue May 31 16:22:59 UTC 2016
New revision: 416208
URL: https://svnweb.freebsd.org/changeset/ports/416208

Log:
  MFH: r412687 r415739

  - Update to version 0.2.0 to unbreak

  PR:		209836
  Reported by:	Fabian Keil <fk@fabiankeil.de>
  Approved by:	Sascha Holzleiter <sascha@root-login.org> (maintainer)
  Approved by:	ports-secteam (delphij, junovitch)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/security/letsencrypt.sh/Makefile
  branches/2016Q2/security/letsencrypt.sh/distinfo
Comment 5 Kurt Jaeger freebsd_committer 2016-05-31 16:24:10 UTC
Committed to 2016Q2, thanks!